Package org.apache.sling.distribution.journal.impl.publisher

# Class RangePoller

java.lang.Object
org.apache.sling.distribution.journal.impl.publisher.RangePoller

@ParametersAreNonnullByDefault public class RangePoller extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_SEED_DELAY_SECONDS`

## Constructor Summary

Constructors
Constructor
Description
`RangePoller(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, String packageTopic, long minOffset, long maxOffsetExclusive, int seedDelaySeconds)`

## Method Summary

Modifier and Type
Method
Description
`List<org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage>>`
`fetchRange()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_SEED_DELAY_SECONDS

public static final int DEFAULT_SEED_DELAY_SECONDS

See Also:
  - Constant Field Values

## Constructor Details

### RangePoller

public RangePoller(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, String packageTopic, long minOffset, long maxOffsetExclusive, int seedDelaySeconds)

## Method Details

### fetchRange

public List<org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage>> fetchRange() throws InterruptedException

Throws:
  `InterruptedException`